Skip to main content
GET
/
vessels
/
{id}
/
future_positions_with_coordinates
Get vessel future positions from coordinates
curl --request GET \
  --url https://api.terminal49.com/v2/vessels/{id}/future_positions_with_coordinates \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.terminal49.com/v2/vessels/{id}/future_positions_with_coordinates"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.terminal49.com/v2/vessels/{id}/future_positions_with_coordinates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "vessel",
    "attributes": {
      "name": "<string>",
      "imo": "<string>",
      "mmsi": "<string>",
      "latitude": 123,
      "longitude": 123,
      "nautical_speed_knots": 123,
      "navigational_heading_degrees": 123,
      "position_timestamp": "2023-11-07T05:31:56Z",
      "positions": [
        {
          "latitude": 123,
          "longitude": 123,
          "timestamp": "2023-11-07T05:31:56Z",
          "estimated": true,
          "heading": 123
        }
      ]
    }
  },
  "links": {
    "self": "<string>"
  }
}
{
  "errors": [
    {
      "status": "403",
      "title": "Forbidden",
      "detail": "Routing data feature is not enabled for this account"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

id
string
required

Query Parameters

port_id
string<uuid>
required

The destination port id

previous_port_id
string<uuid>
required

The previous port id

latitude
number
required

Starting latitude coordinate

longitude
number
required

Starting longitude coordinate

Response

OK

data
Vessel with positions model · object